@import "@/styles/variables";

.navbar {
    margin-left: auto;

    @include notebook {
        display: flex;
        flex-direction: row-reverse;
        gap: 1rem;
        padding-right: calc((100vw / 12) - 1.25rem);
    }

    &__button {
        position: relative;
        cursor: pointer;
        height: 34px;
        min-width: 110px;
        right: -$padding-sm;
        border-radius: $border-radius-menu;
        padding: 0.56rem 1rem;
        background-color: $secondary-color;
        box-shadow: $shadow;
        display: flex;
        justify-content: center;
        align-items: center;
        gap: 0.75rem;
        color: $white;
        z-index: 200;

        @include notebook {
            display: none;
        }
    }
    &__title {
        @include paragraph-lg;
    }

    &__burger {
        height: 1.25rem;
        transition: all 0.25s;

        &:active {
            transform: rotate(90deg);
            opacity: 0.3;
        }
    }

    &__menu {
        transition: all 0.5s;
        position: fixed;
        top: 0;
        right: -110vw;
        min-width: 100vw;
        min-height: 100vh;
        background-color: $white;
        padding: 8rem 4rem;
        z-index: 80;

        @include notebook {
            background-color: transparent;
            padding: 0;
            min-width: auto;
            min-height: 3.5rem;
            display: inline-block;
            position: relative;
            right: 0;
        }

        ul {
            @include col;

            gap: 1.5rem;

            @include notebook {
                @include row;

                gap: 2rem;
                padding-top: 1rem;
            }
        }

        li {
            @include paragraph-lg;

            transition: all 0.2s;
            letter-spacing: 1px;
            white-space: nowrap;
            font-weight: 700;

            @include notebook {
                @include paragraph;

                text-transform: uppercase;
                font-weight: 600;
            }

            &:active {
                transform: scale(1.1);
                letter-spacing: 2px;
            }
        }

        .user {
            color: $primary-color-dark;
        }

        a {
            transition: all 0.25s;
            text-decoration: none;
            color: $black;
        }
    }

    .red-link {
        @include row;

        gap: 0.75rem;
        color: $secondary-color;
        align-items: center;
    }

    .open {
        right: 0;
        opacity: 1;
    }
}
